$(function(){
	$(".reportYear").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 4,
	    minView: 4,
	    forceParse: 0,
	    format: "yyyy"
	});
	var occurDate=$("#fincfOccurDate").val();
	if(occurDate){
		$(".occurDate").val(occurDate.substring(0,4)+'-'+occurDate.substring(4,6)+'-'+occurDate.substring(6,8));
	}
	$(".occurDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".occurDate").val(occurDate);
	var auditDate=$("#fincfAuditDate").val();
	if(auditDate){
		$(".auditDate").val(auditDate.substring(0,4)+'-'+auditDate.substring(4,6)+'-'+auditDate.substring(6,8));
	}
	$(".auditDate").datetimepicker({
	    language:  "zh-CN",
	    weekStart: 1,
	    todayBtn:  1,
	    autoclose: 1,
	    todayHighlight: 1,
	    startView: 2,
	    minView: 2,
	    forceParse: 0,
	    format: "yyyymmdd"
	});
	$(".auditDate").val(auditDate);
	function getDictionaryItem(paramName,name,ele){
		$.ajax({
			type:"get",
			url:'/orgbaseInfo/doFindDictCode',
			data:{
				'paramName':paramName
			},
			success:function(data){
//				console.log(data);
				if( data ){
					ele.empty().append('<option value="">请选择</option>');
					for(var i in data){
						ele.append('<option value="'+i+'">'+data[i]+'</option>');
					}
					if( ele.attr("value")!='' ){//有值
						ele.find("option").each(function(){
							if( $(this).val()==ele.attr("value") ){
								$(this).prop("selected",true);
							}
						})
					}
				}
			},
			error:function(status){
				new $.zui.Messager(name+'数据获取失败', {
					type : 'danger',
					time : 1500
				}).show();
			}
		})
	}
	
	$("#fincfUpdateForm .amount").each(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	$("#fincfUpdateForm .amount").keyup(function(){
		if( $(this).val()!='' ){
			$(this).val(commaDelimiter($(this).val()))
		}
	})
	getDictionaryItem('cashFlowReportType','报表类型',$("#fincfUpdateForm .reportType"));
	getDictionaryItem('reportSubType','报表类型细分',$("#fincfUpdateForm .reportSubType"));
	
	$(".baseInfofincfDialog .addSure").removeClass("loadingCircle");
	
	$(".baseInfofincfDialog .addSure").click(function(){
		$("#fincfUpdateForm").submit();
	})
	$("#fincfUpdateForm").validate({
		promptPosition : "bottomLeft",
		submitHandler : function(form) {
			$(".baseInfofincfDialog .addSure").addClass("loadingCircle");
			$("#fincfUpdateForm .amount").each(function(){
				$(this).val($(this).val().split(',').join(''));
			})
			$(form).ajaxSubmit({
				success : function(e) {
					if (e && e.success == true) {
						new $.zui.Messager('保存成功', {
							type : 'success',
							time : 1500
						}).show();
						$(".baseInfofincfDialog .addSure").removeClass("loadingCircle");
						$(".baseInfofincfDialog").modal("hide");
						$(".baseInfofincfDialog").on('hidden.zui.modal', function(){
							//刷新表格
							$('#fincfList').trigger('reloadGrid');
						});
					}else {
						new $.zui.Messager('保存失败:'+e.msg, {
							type : 'danger',
							time : 1500
						}).show();
						$(".baseInfofincfDialog .addSure").removeClass("loadingCircle");
					}
				}
			})
		},
		rules : {
			'h9199':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9200':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9201':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9202':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9203':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9204':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9205':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9206':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9207':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9208':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9209':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9210':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9211':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9212':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9213':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9214':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9215':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9216':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9217':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9218':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9219':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9220':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9221':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9222':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9223':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9224':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9225':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9226':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9227':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9228':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9229':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9230':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9231':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9232':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9233':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9234':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9235':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9236':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9237':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9238':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9239':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9240':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9241':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9242':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9243':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9244':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9245':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9246':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9247':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9248':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9249':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9250':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9251':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9252':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9253':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9254':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9255':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9256':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9257':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9258':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9259':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9260':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			},
			'h9261':{
				decimalNumberValid:true,
				decimalPointValid:true,
				decimalLengthValid3:true
			}
		},
		messages : {
			
		}
	})
})